package com.tzld.longarticle.recommend.server;

import com.alibaba.fastjson.JSONObject;
import com.tzld.longarticle.recommend.server.model.Content;
import com.tzld.longarticle.recommend.server.remote.AIGCRemoteService;
import com.tzld.longarticle.recommend.server.service.filter.FilterParam;
import com.tzld.longarticle.recommend.server.service.filter.FilterResult;
import com.tzld.longarticle.recommend.server.service.filter.FilterStrategy;
import com.tzld.longarticle.recommend.server.service.recall.RecallParam;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.util.List;

@SpringBootTest(classes = Application.class)
public class FilterStrategyTest {

    @Resource
    FilterStrategy badStrategy;
    @Resource
    FilterStrategy historyTitleStrategy;
    @Resource
    AIGCRemoteService aigcRemoteService;
//    @Test
//    public void badStrategyTest() {
//        FilterParam param = new FilterParam();
//        List<Content> contentList = new ArrayList<>();
//        Content content0 = new Content();
//        content0.setId("0");
//        content0.setTitle("中国第一位小品女皇，因一句台词识破潜伏间谍");
//        contentList.add(content0);
//        Content content1 = new Content();
//        content1.setId("1");
//        content1.setTitle("终身未娶拉扯张长大28年，女孩回报方式看哭众人");
//        contentList.add(content1);
//        param.setContents(contentList);
//        FilterResult result = badStrategy.filter(param);
//        System.out.println(JSONObject.toJSONString(result));
//    }
    @Test
    public void historyTitleStrategyTest() {
        // accountId:20231225071712749835955 accountName:奇趣百味生活 planId:20240627143100701713157
        RecallParam param = new RecallParam();
        param.setAccountName("票圈最新消息");
        param.setAccountId("20231212144543068928298");
        param.setPlanId("20240724092832149199870");
        List<Content> content = aigcRemoteService.getAllContent(param);;
        FilterParam filterParam = new FilterParam();
        filterParam.setAccountName(param.getAccountName());
        filterParam.setContents(content);
        FilterResult result = historyTitleStrategy.filter(filterParam);
        System.out.println(JSONObject.toJSONString(result));
    }
}
